//////////////////////////////////////////////////////////////////////////////
//   Package:          CAPD

/////////////////////////////////////////////////////////////////////////////
//
/// @file capdtools.h
///
/// @author Maciej Capinski   @date 2010-07-20
//
/////////////////////////////////////////////////////////////////////////////

#ifndef _CAPD_CAPDTOOLS_H_
#define _CAPD_CAPDTOOLS_H_

#include <iostream>
#include <stdexcept>
#include <cmath>

#include "capd/interval/lib.h"
#include "capd/vectalg/lib.h"
#include "capd/map/lib.h"
#include "capd/dynset/lib.h"
#include "capd/dynsys/lib.h"
#include "capd/poincare/lib.h"
#include "capd/alglib/lib.h"
#include "capd/poincare/PoincareMap.hpp" 
#include "capd/poincare/TimeMap.hpp"
#include "capd/map/CnMap.hpp"
#include "capd/matrixAlgorithms/lib.h"
#include "capd/alglib/capd2alglib.h"
#include "capd/matrixAlgorithms/floatMatrixAlgorithms.hpp"

using namespace capd;
using namespace std;
using namespace capd::alglib;
using namespace capd::matrixAlgorithms;

#endif // _CAPD_CAPDTOOLS_H_
